tigase.vhosts

## Class VHostItemDefaults

- java.lang.Object
- - tigase.vhosts.VHostItemDefaults

-     @Bean(name="defaults",
            parent=VHostManager.class,
            active=true,
            exportable=true)
      public class VHostItemDefaults
      extends Object

  Created by andrzej on 01.07.2017.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VHostItemDefaults()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainFilterPolicy` | `getDomainFilter()`
    `String[]` | `getDomainFilterDomains()`
    `long` | `getMaxUsersNumber()`
    `JID` | `getMessageForward()`
    `JID` | `getPresenceForward()`
    `String` | `getS2sSecret()`
    `ConcurrentSkipListSet<String>` | `getTrusted()`
    `boolean` | `isAnonymousEnabled()`
    `boolean` | `isCheckDns()`
    `boolean` | `isHardenedMode()`
    `boolean` | `isRegisterEnabled()`
    `boolean` | `isTlsRequired()`
    `void` | `setDomainFilterStr(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VHostItemDefaults

          public VHostItemDefaults()

  - ### Method Detail

    - #### getDomainFilter

          public DomainFilterPolicy getDomainFilter()

    - #### getDomainFilterDomains

          public String[] getDomainFilterDomains()

    - #### getMaxUsersNumber

          public long getMaxUsersNumber()

    - #### getMessageForward

          public JID getMessageForward()

    - #### getPresenceForward

          public JID getPresenceForward()

    - #### getS2sSecret

          public String getS2sSecret()

    - #### getTrusted

          public ConcurrentSkipListSet<String> getTrusted()

    - #### isAnonymousEnabled

          public boolean isAnonymousEnabled()

    - #### isCheckDns

          public boolean isCheckDns()

    - #### isHardenedMode

          public boolean isHardenedMode()

    - #### isRegisterEnabled

          public boolean isRegisterEnabled()

    - #### isTlsRequired

          public boolean isTlsRequired()

    - #### setDomainFilterStr

          public void setDomainFilterStr(String value)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.